Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.jrmp.interfaces
Class JRMPInvokerProxyHA

    java.lang.Object
      org.jboss.invocation.jrmp.interfaces.JRMPInvokerProxy
          org.jboss.invocation.jrmp.interfaces.JRMPInvokerProxyHA

All Implemented Interfaces:
  Externalizable, org.jboss.invocation.Invoker, InvokerProxyHA, Remote, Serializable

public class JRMPInvokerProxyHA
extends org.jboss.invocation.jrmp.interfaces.JRMPInvokerProxy
implements InvokerProxyHA, Externalizable

An extension of the JRMPInvokerProxy that supports failover and load balancing among a

Version:
  $Revision: 1.13.6.1 $
Author:
  Marc Fleury, Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected LoadBalancePolicy` | `loadBalancePolicy`
`protected String` | `proxyFamilyName`
`protected boolean` | `trace` Trace level logging flag only set when the proxy is created or read from JNDI
`static WeakHashMap` | `txFailoverAuthorizations`

Fields inherited from class org.jboss.invocation.jrmp.interfaces.JRMPInvokerProxy
`MAX_RETRIES, remoteInvoker`

Fields inherited from interface org.jboss.invocation.Invoker
`ID`

Constructor Summary
`JRMPInvokerProxyHA()`
`JRMPInvokerProxyHA(ArrayList targets, LoadBalancePolicy policy, String proxyFamilyName, long viewId)`

Method Summary
`Object` | `getRemoteTarget()`
`Object` | `getRemoteTarget(org.jboss.invocation.Invocation invocationBasedRouting)`
`void` | `invocationHasReachedAServer(org.jboss.invocation.Invocation invocation)`
`Object` | `invoke(org.jboss.invocation.Invocation invocation)` The invocation on the delegate, calls the right invoker.
`void` | `readExternal(ObjectInput in)` Un-externalize this instance.
`void` | `remoteTargetHasFailed(Object target)`
`protected void` | `removeDeadTarget(Object target)`
`protected void` | `resetView()`
`protected int` | `totalNumberOfTargets()`
`boolean` | `txContextAllowsFailover(org.jboss.invocation.Invocation invocation)`
`void` | `updateClusterInfo(ArrayList targets, long viewId)`
`void` | `writeExternal(ObjectOutput out)` Externalize this instance.

Methods inherited from class org.jboss.invocation.jrmp.interfaces.JRMPInvokerProxy
`getServerHostName, getTransactionPropagationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### txFailoverAuthorizations

    public static final WeakHashMap txFailoverAuthorizations

### loadBalancePolicy

    protected LoadBalancePolicy loadBalancePolicy

### proxyFamilyName

    protected String proxyFamilyName

### trace

    protected transient boolean trace

  Trace level logging flag only set when the proxy is created or read from JNDI

Constructor Detail

### JRMPInvokerProxyHA

    public JRMPInvokerProxyHA()

### JRMPInvokerProxyHA

    public JRMPInvokerProxyHA(ArrayList targets,
                              LoadBalancePolicy policy,
                              String proxyFamilyName,
                              long viewId)

Method Detail

### updateClusterInfo

    public void updateClusterInfo(ArrayList targets,
                                  long viewId)

  Specified by:
    `updateClusterInfo` in interface `InvokerProxyHA`

### getRemoteTarget

    public Object getRemoteTarget()

### getRemoteTarget

    public Object getRemoteTarget(org.jboss.invocation.Invocation invocationBasedRouting)

### remoteTargetHasFailed

    public void remoteTargetHasFailed(Object target)

### removeDeadTarget

    protected void removeDeadTarget(Object target)

### totalNumberOfTargets

    protected int totalNumberOfTargets()

### resetView

    protected void resetView()

### txContextAllowsFailover

    public boolean txContextAllowsFailover(org.jboss.invocation.Invocation invocation)

### invocationHasReachedAServer

    public void invocationHasReachedAServer(org.jboss.invocation.Invocation invocation)

### invoke

    public Object invoke(org.jboss.invocation.Invocation invocation)
                  throws Exception

  The invocation on the delegate, calls the right invoker. Remote if we are remote, local if we are local.

  Specified by:
    `invoke` in interface `org.jboss.invocation.Invoker`
  Throws:
    `Exception`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Externalize this instance. If this instance lives in a different VM than its container invoker, the remote interface of the container invoker is not externalized.

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Un-externalize this instance. We check timestamps of the interfaces to see if the instance is in the original VM of creation

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.